<ion-app>
  <ion-menu side="start" menuId="first" type="overlay">
    <ion-header>
      <ion-toolbar color="primary">
        <ion-title>Menu</ion-title>
      </ion-toolbar>
    </ion-header>
    <ion-content>
        <ion-list>
          <ion-menu-toggle *ngFor="let item of appMenu" auto-hide="false">
            <ion-item [routerDirection]="'root'" [routerLink]="[item.url]">
              <ion-icon slot="start" [name]="item.icon"></ion-icon>
              <ion-label>{{item.title}}</ion-label>
            </ion-item>
          </ion-menu-toggle>
        </ion-list>
    </ion-content>
  </ion-menu>
  
  <ion-router-outlet main>
    
  </ion-router-outlet>
</ion-app>
